msgpack::type::size_equal_only< T > Struct Template Reference

`#include <size_equal_only.hpp>`

## Public Member Functions

| size_equal_only (T &t)

## Public Attributes

T & | m_t

## Constructor & Destructor Documentation

## size_equal_only()

template<typename T>

msgpack::type::size_equal_only< T >::size_equal_only | ( | T & | t | ) |

inline

## Member Data Documentation

## m_t

template<typename T>

T& msgpack::type::size_equal_only< T >::m_t

Referenced by msgpack::adaptor::convert< type::size_equal_only< T > >::operator()(), msgpack::adaptor::pack< type::size_equal_only< T > >::operator()(), msgpack::adaptor::object< type::size_equal_only< T > >::operator()(), msgpack::adaptor::object_with_zone< type::size_equal_only< T > >::operator()(), msgpack::type::operator<(), and msgpack::type::operator==().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/size_equal_only.hpp